#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.1
visibility:           public
id:                   structured-0.1.1-3FhdlRsFTzA23df6OaTa2d
key:                  structured-0.1.1-3FhdlRsFTzA23df6OaTa2d
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  8a889d364d28c259622f35191dd40655
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-9.2.8/site-local/structured-0.1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/structured-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-structured
hs-libraries:         HSstructured-0.1.1-3FhdlRsFTzA23df6OaTa2d
depends:
    aeson-2.1.2.1-Hmx6V7500mlHwEWmxxTOFD array-0.5.4.0 base-4.16.4.0
    base16-bytestring-1.0.2.0-9Uw7FmZioqV3AZ8gfMgJAR binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    hashable-1.4.4.0-FBBN0pDZ0iK3ZcMpqjlzBP
    scientific-0.3.7.0-AVSNmivRvetAZErbfdxz2w
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP text-1.2.5.0
    time-compat-1.9.6.1-98ro0L9PGDA8ePoea9DMOB transformers-0.5.6.2
    unordered-containers-0.2.20-synCBDLh0NACk48p5Re76
    uuid-types-1.0.5.1-BA9F1FEiqwm5UN81ZNoM07
    vector-0.13.1.0-5Ks1FSmymfI2i781M8kBvn

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

